2018-06-21 09:03 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002606FSSCPgameplaypublic2012-07-01 20:52
ReporterThe_E 
Assigned ToThe_E 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.14 
Target Version3.6.14Fixed in Version 
Summary0002606: Local SSMs with spawn info cause propagating NaN error
DescriptionIn BP development, we are using local SSMs in one mission that are tabled to be fired in swarms.

The problem is that these weapons will cause a "dark void of doom" effect when used, due to a propagation of "Not a Number" values following a division by zero.

In debug, these errors are caught by an assertion at swarm.cpp line 264.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0013540

The_E (administrator)

Fix committed to trunk@8771.

~0013757

Zacam (administrator)

Fix committed to fs2_open_3_6_14@8929.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2012-02-13 14:19 The_E New Issue
2012-02-13 14:19 The_E Status new => assigned
2012-02-13 14:19 The_E Assigned To => The_E
2012-05-10 16:53 The_E Changeset attached => fs2open trunk r8771
2012-05-10 16:53 The_E Note Added: 0013540
2012-05-10 16:53 The_E Status assigned => resolved
2012-05-10 16:53 The_E Resolution open => fixed
2012-07-01 20:52 Zacam Changeset attached => fs2open fs2_open_3_6_14 r8929
2012-07-01 20:52 Zacam Note Added: 0013757
+Issue History